#ifndef _KGR_PATCH_BSC971793_IP6_H
#define _KGR_PATCH_BSC971793_IP6_H

#include <linux/netfilter_ipv6/ip6_tables.h>

int kgr_patch_bsc971793_ip6_init(void);
void kgr_patch_bsc971793_ip6_cleanup(void);

int kgr_do_ip6t_set_ctl(struct sock *sk, int cmd, void __user *user, unsigned int len);
struct xt_table *kgr_ip6t_register_table(struct net *net,
	const struct xt_table *table, const struct ip6t_replace *repl);
int kgr_compat_do_ip6t_set_ctl(struct sock *sk, int cmd, void __user *user,
	unsigned int len);
unsigned int kgr_ip6t_do_table(struct sk_buff *skb, unsigned int hook,
	const struct net_device *in, const struct net_device *out,
	struct xt_table *table);

#endif
